Bug 47706 - New port: misc/dvorak7min an ncurses-based Dvorak typing tutor
Summary: New port: misc/dvorak7min an ncurses-based Dvorak typing tutor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Christian Weisgerber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-31 05:40 UTC by Li-Lun Wang
Modified: 2003-02-14 15:26 UTC (History)
0 users

See Also:


Attachments
file.shar (2.94 KB, text/plain)
2003-01-31 05:40 UTC, Li-Lun Wang
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Lun Wang 2003-01-31 05:40:08 UTC
Dvorak7min is an ncurses based dvorak typing tutor. It features well
chosen lessons, color for easy visual feedback, and a real time
characters per second display.
Comment 1 corecode@corecode.ath.cx 2003-01-31 13:09:01 UTC
Lately Leland Wang told:

> sed 's/^X//' >dvorak7min/pkg-plist << 'END-of-dvorak7min/pkg-plist'
> X@cwd %%LOCALBASE%%

huh?

> sed 's/^X//' >dvorak7min/Makefile << 'END-of-dvorak7min/Makefile'
[...]
> XLIB_DEPENDS=	gnugetopt.1:${PORTSDIR}/devel/libgnugetopt

can this be made dependent on freebsd-5 vs freebsd-4?

> sed 's/^X//' >dvorak7min/files/patch-Makefile << 'END-of-dvorak7min/files/patch-Makefile'
> X--- Makefile.orig	Fri Jan 31 13:04:40 2003
> X+++ Makefile	Fri Jan 31 13:11:38 2003
> X@@ -1,4 +1,4 @@
> X-INSTALL = /usr/local/games/bin
> X+INSTALL = /usr/local/bin

use ${PREFIX}

> X 
> X # Uncomment these lines if you want to change the defaults to something else
> X 
> X@@ -16,11 +16,11 @@
> X 
> X #CC      = gcc
> X PROF    = -g0 -O2

don't override user-specified CFLAGS

> X-CFLAGS  = $(PROF) -Wall \
> X+CFLAGS  = $(PROF) -Wall -I/usr/local/include \

use ${LOCALBASE} for include path

eg: CFLAGS+=	-Wall -I${LOCALBASE}/include \

> X 	$(PRETTINESS) $(NASTINESS) $(BEEPS) $(FLASHES) $(COLORS) \
> X 	$(LIMIT_LENGTH)
> X-LDFLAGS = $(PROF)
> X-LIBS    = -lncurses
> X+LDFLAGS = $(PROF) -L/usr/local/lib
> X+LIBS    = -lncurses -lgnugetopt

again, respect ${LOCALBASE}, check whether libgnugetopt is really
needed.

if you got specific questions, don't hesitate to contact me (privately
if you want)

cheers
  simon

ps: i'm no committer! :) i just care about ports

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 Li-Lun Wang 2003-01-31 16:28:59 UTC
On Fri, Jan 31, 2003 at 02:09:01PM +0100, Simon 'portlint' Schubert wrote:
> if you got specific questions, don't hesitate to contact me (privately
> if you want)


Ok. I've managed to honor your comments in the following archive:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	dvorak7min
#	dvorak7min/pkg-plist
#	dvorak7min/pkg-descr
#	dvorak7min/pkg-comment
#	dvorak7min/distinfo
#	dvorak7min/Makefile
#	dvorak7min/files
#	dvorak7min/files/patch-Makefile
#	dvorak7min/files/patch_dir-5
#	dvorak7min/files/patch_dir-5/patch-Makefile
#
echo c - dvorak7min
mkdir -p dvorak7min > /dev/null 2>&1
echo x - dvorak7min/pkg-plist
sed 's/^X//' >dvorak7min/pkg-plist << 'END-of-dvorak7min/pkg-plist'
Xbin/dvorak7min
END-of-dvorak7min/pkg-plist
echo x - dvorak7min/pkg-descr
sed 's/^X//' >dvorak7min/pkg-descr << 'END-of-dvorak7min/pkg-descr'
XDvorak7min is an ncurses based dvorak typing tutor for those of you
Xtrying to get fluent in this keyboard layout. It features well chosen
Xlessons, color for easy visual feedback, and a real time characters per
Xsecond display. It's called 7min because it originally was a personal
Xhack written in 7 min.
X
XWWW:	http://lightside.eresmas.com/
X	http://freshmeat.net/projects/dvorak7mintutor/
X
XAuthor:	Ragnar Hojland <ragnar@ragnar-hojland.com>
END-of-dvorak7min/pkg-descr
echo x - dvorak7min/pkg-comment
sed 's/^X//' >dvorak7min/pkg-comment << 'END-of-dvorak7min/pkg-comment'
XAn ncurses-based Dvorak typing tutor
END-of-dvorak7min/pkg-comment
echo x - dvorak7min/distinfo
sed 's/^X//' >dvorak7min/distinfo << 'END-of-dvorak7min/distinfo'
XMD5 (dvorak7min-1.6.tar.gz) = b8abfa4151e2f4e7d7785c111fe036c4
END-of-dvorak7min/distinfo
echo x - dvorak7min/Makefile
sed 's/^X//' >dvorak7min/Makefile << 'END-of-dvorak7min/Makefile'
X# New ports collection makefile for:	dvorak7min
X# Date created:			31 Jan 2003
X# Whom:				Leland Wang <llwang@infor.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	dvorak7min
XPORTVERSION=	1.6
XCATEGORIES=	misc
XMASTER_SITES=	http://lightside.eresmas.com/
X
XMAINTAINER=	llwang@infor.org
X
X.include <bsd.port.pre.mk>
X.if ${OSVERSION} < 500041
XLIB_DEPENDS=	gnugetopt.1:${PORTSDIR}/devel/libgnugetopt
X.endif
X
X.if ${OSVERSION} >= 500041
XPATCHDIR=	${FILESDIR}/patch_dir-5
X.endif
X
Xpre-build:
X	@cd ${WRKSRC} ; ${MAKE} clean
X.include <bsd.port.post.mk>
END-of-dvorak7min/Makefile
echo c - dvorak7min/files
mkdir -p dvorak7min/files > /dev/null 2>&1
echo x - dvorak7min/files/patch-Makefile
sed 's/^X//' >dvorak7min/files/patch-Makefile << 'END-of-dvorak7min/files/patch-Makefile'
X--- Makefile.orig	Sat May 29 01:14:23 1999
X+++ Makefile	Fri Jan 31 23:31:54 2003
X@@ -1,4 +1,4 @@
X-INSTALL = /usr/local/games/bin
X+INSTALL = ${PREFIX}/bin
X 
X # Uncomment these lines if you want to change the defaults to something else
X 
X@@ -16,11 +16,11 @@
X 
X #CC      = gcc
X PROF    = -g0 -O2
X-CFLAGS  = $(PROF) -Wall \
X+CFLAGS  += -Wall -I${LOCALBASE}/include \
X 	$(PRETTINESS) $(NASTINESS) $(BEEPS) $(FLASHES) $(COLORS) \
X 	$(LIMIT_LENGTH)
X-LDFLAGS = $(PROF)
X-LIBS    = -lncurses
X+LDFLAGS += -L${LOCALBASE}/lib
X+LIBS    = -lncurses -lgnugetopt
X 
X OBJECTS = dvorak7min.o lessons.o
X HEADERS = lessons.h
END-of-dvorak7min/files/patch-Makefile
echo c - dvorak7min/files/patch_dir-5
mkdir -p dvorak7min/files/patch_dir-5 > /dev/null 2>&1
echo x - dvorak7min/files/patch_dir-5/patch-Makefile
sed 's/^X//' >dvorak7min/files/patch_dir-5/patch-Makefile << 'END-of-dvorak7min/files/patch_dir-5/patch-Makefile'
X--- Makefile.orig	Sat May 29 01:14:23 1999
X+++ Makefile	Fri Jan 31 23:31:54 2003
X@@ -1,4 +1,4 @@
X-INSTALL = /usr/local/games/bin
X+INSTALL = ${PREFIX}/bin
X 
X # Uncomment these lines if you want to change the defaults to something else
X 
X@@ -16,11 +16,11 @@
X 
X #CC      = gcc
X PROF    = -g0 -O2
X-CFLAGS  = $(PROF) -Wall \
X+CFLAGS  += -Wall \
X 	$(PRETTINESS) $(NASTINESS) $(BEEPS) $(FLASHES) $(COLORS) \
X 	$(LIMIT_LENGTH)
X-LDFLAGS = $(PROF)
X+LDFLAGS ?= $(PROF)
X LIBS    = -lncurses
X 
X OBJECTS = dvorak7min.o lessons.o
X HEADERS = lessons.h
END-of-dvorak7min/files/patch_dir-5/patch-Makefile
exit



-- 
 /-------\      /-\     /--------\
 \--\ /--/      | |     \--\ /---/
    | |    /----/ \----\/--/ \---\
  /-/ \-\  \----/ /----/\--\ /---/
  \-\ /-/      /  \     /--/ \---\
    | |       / /\ \    \--\ /---/ /\
/---/ \---\/-/ /  \ \---\  | \----/ |
\---------/\--/    \----/  \--------/
  e-mail address: llwang@infor.org
Comment 3 Li-Lun Wang 2003-01-31 16:51:51 UTC
Sorry that I accidentally used quoted-printable in the previous mail.
Use the following if you don't like quoted-printable.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	dvorak7min
#	dvorak7min/pkg-plist
#	dvorak7min/pkg-descr
#	dvorak7min/pkg-comment
#	dvorak7min/distinfo
#	dvorak7min/Makefile
#	dvorak7min/files
#	dvorak7min/files/patch-Makefile
#	dvorak7min/files/patch_dir-5
#	dvorak7min/files/patch_dir-5/patch-Makefile
#
echo c - dvorak7min
mkdir -p dvorak7min > /dev/null 2>&1
echo x - dvorak7min/pkg-plist
sed 's/^X//' >dvorak7min/pkg-plist << 'END-of-dvorak7min/pkg-plist'
Xbin/dvorak7min
END-of-dvorak7min/pkg-plist
echo x - dvorak7min/pkg-descr
sed 's/^X//' >dvorak7min/pkg-descr << 'END-of-dvorak7min/pkg-descr'
XDvorak7min is an ncurses based dvorak typing tutor for those of you
Xtrying to get fluent in this keyboard layout. It features well chosen
Xlessons, color for easy visual feedback, and a real time characters per
Xsecond display. It's called 7min because it originally was a personal
Xhack written in 7 min.
X
XWWW:	http://lightside.eresmas.com/
X	http://freshmeat.net/projects/dvorak7mintutor/
X
XAuthor:	Ragnar Hojland <ragnar@ragnar-hojland.com>
END-of-dvorak7min/pkg-descr
echo x - dvorak7min/pkg-comment
sed 's/^X//' >dvorak7min/pkg-comment << 'END-of-dvorak7min/pkg-comment'
XAn ncurses-based Dvorak typing tutor
END-of-dvorak7min/pkg-comment
echo x - dvorak7min/distinfo
sed 's/^X//' >dvorak7min/distinfo << 'END-of-dvorak7min/distinfo'
XMD5 (dvorak7min-1.6.tar.gz) = b8abfa4151e2f4e7d7785c111fe036c4
END-of-dvorak7min/distinfo
echo x - dvorak7min/Makefile
sed 's/^X//' >dvorak7min/Makefile << 'END-of-dvorak7min/Makefile'
X# New ports collection makefile for:	dvorak7min
X# Date created:			31 Jan 2003
X# Whom:				Leland Wang <llwang@infor.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	dvorak7min
XPORTVERSION=	1.6
XCATEGORIES=	misc
XMASTER_SITES=	http://lightside.eresmas.com/
X
XMAINTAINER=	llwang@infor.org
X
X.include <bsd.port.pre.mk>
X.if ${OSVERSION} < 500041
XLIB_DEPENDS=	gnugetopt.1:${PORTSDIR}/devel/libgnugetopt
X.endif
X
X.if ${OSVERSION} >= 500041
XPATCHDIR=	${FILESDIR}/patch_dir-5
X.endif
X
Xpre-build:
X	@cd ${WRKSRC} ; ${MAKE} clean
X.include <bsd.port.post.mk>
END-of-dvorak7min/Makefile
echo c - dvorak7min/files
mkdir -p dvorak7min/files > /dev/null 2>&1
echo x - dvorak7min/files/patch-Makefile
sed 's/^X//' >dvorak7min/files/patch-Makefile << 'END-of-dvorak7min/files/patch-Makefile'
X--- Makefile.orig	Sat May 29 01:14:23 1999
X+++ Makefile	Fri Jan 31 23:31:54 2003
X@@ -1,4 +1,4 @@
X-INSTALL = /usr/local/games/bin
X+INSTALL = ${PREFIX}/bin
X 
X # Uncomment these lines if you want to change the defaults to something else
X 
X@@ -16,11 +16,11 @@
X 
X #CC      = gcc
X PROF    = -g0 -O2
X-CFLAGS  = $(PROF) -Wall \
X+CFLAGS  += -Wall -I${LOCALBASE}/include \
X 	$(PRETTINESS) $(NASTINESS) $(BEEPS) $(FLASHES) $(COLORS) \
X 	$(LIMIT_LENGTH)
X-LDFLAGS = $(PROF)
X-LIBS    = -lncurses
X+LDFLAGS += -L${LOCALBASE}/lib
X+LIBS    = -lncurses -lgnugetopt
X 
X OBJECTS = dvorak7min.o lessons.o
X HEADERS = lessons.h
END-of-dvorak7min/files/patch-Makefile
echo c - dvorak7min/files/patch_dir-5
mkdir -p dvorak7min/files/patch_dir-5 > /dev/null 2>&1
echo x - dvorak7min/files/patch_dir-5/patch-Makefile
sed 's/^X//' >dvorak7min/files/patch_dir-5/patch-Makefile << 'END-of-dvorak7min/files/patch_dir-5/patch-Makefile'
X--- Makefile.orig	Sat May 29 01:14:23 1999
X+++ Makefile	Fri Jan 31 23:31:54 2003
X@@ -1,4 +1,4 @@
X-INSTALL = /usr/local/games/bin
X+INSTALL = ${PREFIX}/bin
X 
X # Uncomment these lines if you want to change the defaults to something else
X 
X@@ -16,11 +16,11 @@
X 
X #CC      = gcc
X PROF    = -g0 -O2
X-CFLAGS  = $(PROF) -Wall \
X+CFLAGS  += -Wall \
X 	$(PRETTINESS) $(NASTINESS) $(BEEPS) $(FLASHES) $(COLORS) \
X 	$(LIMIT_LENGTH)
X-LDFLAGS = $(PROF)
X+LDFLAGS ?= $(PROF)
X LIBS    = -lncurses
X 
X OBJECTS = dvorak7min.o lessons.o
X HEADERS = lessons.h
END-of-dvorak7min/files/patch_dir-5/patch-Makefile
exit



-- 
 /-------\      /-\     /--------\
 \--\ /--/      | |     \--\ /---/
    | |    /----/ \----\/--/ \---\
  /-/ \-\  \----/ /----/\--\ /---/
  \-\ /-/      /  \     /--/ \---\
    | |       / /\ \    \--\ /---/ /\
/---/ \---\/-/ /  \ \---\  | \----/ |
\---------/\--/    \----/  \--------/
  e-mail address: llwang@infor.org
Comment 4 Christian Weisgerber freebsd_committer 2003-02-12 15:57:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->naddy

I'm looking at this.
Comment 5 Christian Weisgerber freebsd_committer 2003-02-14 15:25:43 UTC
State Changed
From-To: open->closed

Port added, thanks!